<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TEmpProfessionalQualificationMapper">

  <resultMap id="tEmpProfessionalQualificationMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TEmpProfessionalQualification">
    <id property="id" column="ID"/>
    <result property="empId" column="EMP_ID"/>
    <result property="empName" column="EMP_NAME"/>
    <result property="empCode" column="EMP_CODE"/>
    <result property="empIdcard" column="EMP_IDCARD"/>
    <result property="qualificationType" column="QUALIFICATION_TYPE"/>
    <result property="qualificationLevel" column="QUALIFICATION_LEVEL"/>
    <result property="certificationNo" column="CERTIFICATION_NO"/>
    <result property="obtainType" column="OBTAIN_TYPE"/>
    <result property="assessmentUnit" column="ASSESSMENT_UNIT"/>
    <result property="declareYear" column="DECLARE_YEAR"/>
    <result property="heightIdentification" column="HEIGHT_IDENTIFICATION"/>
    <result property="deleteFlag" column="DELETE_FLAG"/>
    <result property="settleDomain" column="SETTLE_DOMAIN"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateTime" column="UPDATE_TIME"/>
    <result property="remark" column="REMARK"/>
	  <result property="haveQualification" column="HAVE_QUALIFICATION"/>
  </resultMap>
    <!--删除-->
	<delete id="deleteProfessionalByEmpId">
		delete from t_emp_professional_qualification where EMP_ID = #{empId}
	</delete>
</mapper>
